export const isCodeBlockComponent = (packedBlockComponent) => packedBlockComponent.type === 'codeBlock';
export const convertToCodeBlock = (blockComponent) => {
    const { components } = blockComponent;
    const [head, ...body] = components;
    const { indent, text } = head;
    const fileName = text.replace(/^\s*code:/, '');
    return {
        indent,
        type: 'codeBlock',
        fileName,
        content: body
            .map((component) => component.text.substring(indent + 1))
            .join('\n')
    };
};
//# sourceMappingURL=CodeBlock.js.map