import { createNodeParser } from './creator';
const internalLinkRegExp = /\[\/?[^[\]]+\]/;
const createInternalLinkNode = target => {
    const href = target.substring(1, target.length - 1);
    return {
        type: 'link',
        pathType: href.startsWith('/') ? 'root' : 'relative',
        href,
        content: ''
    };
};
export const InternalLinkNodeParser = createNodeParser(createInternalLinkNode, {
    parseOnNested: true,
    parseOnQuoted: true,
    patterns: [internalLinkRegExp]
});
//# sourceMappingURL=InternalLinkNode.js.map