"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.packBlockComponents = void 0;
exports.packBlockComponents = (blockComponents, { hasTitle }) => {
    if (hasTitle) {
        const [title, ...body] = blockComponents;
        return [
            {
                type: 'title',
                text: title.text
            },
            ...exports.packBlockComponents(body, { hasTitle: false })
        ];
    }
    return blockComponents.reduce((packing, component) => {
        if (packing.length > 0) {
            const lastBlock = packing[packing.length - 1];
            if ((lastBlock.type === 'codeBlock' || lastBlock.type === 'table') &&
                component.indent > lastBlock.components[0].indent) {
                lastBlock.components.push(component);
                return packing;
            }
        }
        const isCodeBlock = /^\s*code:(.+)$/.test(component.text);
        const isTable = /^\s*table:(.+)$/.test(component.text);
        packing.push(isCodeBlock || isTable
            ? {
                type: isCodeBlock ? 'codeBlock' : 'table',
                components: [component]
            }
            : {
                type: 'line',
                component
            });
        return packing;
    }, []);
};
//# sourceMappingURL=PackedBlockComponent.js.map